aboutsummaryrefslogtreecommitdiff
path: root/net/analyzer
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:32:09 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:32:09 +0000
commit36dfae9b5a58be5a5ad46c4741c0565eebc352d5 (patch)
treebf4ebd0c129509b386cc671458b3b5e1bfc20d2a /net/analyzer
parentd0e473b0107d9f3939ddba7f49965c2fb9079a3d (diff)
downloadslackbuilds-36dfae9b5a58be5a5ad46c4741c0565eebc352d5.tar.gz
slackbuilds-36dfae9b5a58be5a5ad46c4741c0565eebc352d5.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@683 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/analyzer')
-rwxr-xr-xnet/analyzer/mrtg/mrtg.SlackBuild131
1 files changed, 131 insertions, 0 deletions
diff --git a/net/analyzer/mrtg/mrtg.SlackBuild b/net/analyzer/mrtg/mrtg.SlackBuild
new file mode 100755
index 00000000..9fe4ab93
--- /dev/null
+++ b/net/analyzer/mrtg/mrtg.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/bash
+#
+# Retirado de http://www.brunorusso.eti.br/pacotes/mrtg/mrtg.SlackBuild
+# Pequenas modificacoes por rhatto
+#
+
+cat << EOCAT
+Just remembering, you need the following packages installed:
+
+ gd
+
+EOCAT
+
+if [ "$INTERACT" != "no" ]; then
+ echo "Hit ENTER do continue, Crtl-C to abort"
+ read crap
+else
+ echo sleeping 3 seconds...
+ sleep 3
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+PACKAGE="mrtg"
+VERSION=${VERSION:=2.14.3}
+BUILD=${BUILD:=1rha}
+ARCH=${ARCH:=i486}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://people.ee.ethz.ch/~oetiker/webtools/mrtg/pub/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+# Verifica qual e o tipo de arquitetura e define algumas opcoes de compilacao
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+TMP="$TMP/$PACKAGE"
+PKG="$TMP/package-mrtg"
+rm -rf $TMP
+mkdir -p $PKG
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd mrtg-$VERSION
+
+./configure --bindir=/usr/bin --libdir=$LIBDIR --localstatedir=/usr/share \
+ --sharedstatedir=/usr/share --libexecdir=/usr/lib --mandir=/usr/man \
+ --datadir=/usr/share --sysconfdir=/etc
+
+make || exit 32
+make install DESTDIR=$PKG
+
+chown -R root.bin $PKG/usr/bin
+( cd $PKG
+ find . | xargs file | grep ELF \
+ | cut -f 1 -d : | \
+ xargs strip --strip-unneeded
+)
+( cd $PKG/usr/man
+ find . -name "*.?" | xargs gzip -9
+)
+
+mkdir $PKG/install
+
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mrtg: mrtg (Multi Router Grapher)
+mrtg:
+mrtg: The Multi Router Traffic Grapher (MRTG) is an open-source tool to
+mrtg: monitor the traffic load on network-links. MRTG generates HTML pages
+mrtg: containing Web Graphics which provide a LIVE visual representation of
+mrtg: this traffic.
+mrtg:
+mrtg: Check
+mrtg: http://www.stat.ee.ethz.ch/mrtg/
+mrtg: to see what it does.
+mrtg:
+EOF
+
+mkdir -p $PKG/etc/mrtg
+cd $PKG
+
+makepkg -l y -c n $REPOS/mrtg-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+